Subject: Re: Advertising the Git User's Survey 2011

From: Ramkumar Ramachandra <[email-masked]>
Date: Sun, 3 Oct 2010 23:37:46 +0530

Hi again,

Jakub Narebski writes:
> On Sun, 3 Oct 2010, Ramkumar Ramachandra wrote:
> > Perhaps we can email survs.com and ask them?
> 
> Should I do it, or would you do it?

Er, why will they know who I am and give me this information? You've
been in touch with them before, I hope?

> > > We could also write how much time it takes on average to fill the survey.
> > 
> > Sounds good.
> 
> Note however that such information is available only after survey is
> opened for a bit (unless we use test run statistics).

I suppose that's alright.

> > > The other side of removing options from "13. Which git hosting site(s)
> > > do you use for your project(s)?" is that when sending requests to 
> > > announce the survey to those git hosting sites that are not on this
> > > list, some of them requested to be added (which is impossible after
> > > starting the survey; and before survey begins it is little sense to
> > > send announcements).
> > 
> > I see. How are we going to tackle this in future?
> > 
> > > Besides all of those below 1% rounded (Codesion, GitFarm, The Chaw,
> > > CipherHive) are also those that I didn't get response to request for
> > > announcing Git User's Survey 2010...
> > 
> > Interesting.
> 
> We can always remove (and do not add) those choices for which we don't
> get much responses for, and which do not respond to attemts to contact.  
> Conversely, we probably should add those git hosting sites that we have
> many replies in the "other, please specify".

*nod*

> > > We could make it more organized though, e.g. by sorting list of options
> > > alphabetically, or something like that.
> > 
> > Sounds good.
> 
> Will do, perhaps starting with repo.or.cz (first site), GitHub (most
> popular), Gitorious and perhaps Gitolite (OSS engine), and ending with
> non-generic sites such as git.kernel.org, Alioth, Fedora Hosted, etc.

*nod*

> > > Another solution would be to have pre-filled combo box (<select> field)
> > > with the list of countries to choose from, with GeoIP ised to pre-select
> > > the country.  I can generate list of all countries myself
> > > 
> > >   $ perl -MLocale::Country \
> > >     -wle 'print join("\n", sort (all_country_names()))'
> > > 
> > > as far as I know Survs.com doesn't offer GeoIP nor any API to hook it
> > > to survey questions.
> > 
> > I suppose we could always work out a way to display the results from
> > the information Survs.com gives us.
> 
> Do you have any idea how to display such geographical information, and
> what tool to use for that visualization?

A quick Google search pointed me to several tools that parse a
plaintext file of (lattitude, longitude) entries and use the Google
Maps API to plot them. I'm sorry, but I don't know much more about
this.

> > Nice histogram! How did we manage to do this in 2009? Did we use a
> > custom-made application to do the survey?
> 
> I used a Perl script, which uses Text::CSV to parse data exported from
> Survs.com in CSV format (and PerlIO::gzip to not have to decompress it).
> Each survey page on Git Wiki, except for the very first survey, contains
> link to file with such exported data.
> 
> For example for age it extracts digits from the response, and assumes
> that it is number of years.  It also creates this nice table of ranges
> that you can see in the mentioned section of GitSurvey2009 page.
> 
> I can publish this script, e.g. the one used for 2009 survey on the
> GitSurvey2009 page, but it is rough'n'dirty script.

Sounds good- we should create a small repository that contains all the
tools used, notes made, and results (in semantic format) of previous
surveys. Embarrassingly enough, I can't read Perl myself, but I'm sure
the others will find it useful. Also, isn't there some Perl module to
use Google Maps API to draw that map?

-- Ram